[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#482047: ITP: openssl-blacklist -- list of blacklisted OpenSSL RSA keys

Package: wnpp
Severity: wishlist
Owner: Christoph Martin <martin@woodstock.verwaltung.uni-mainz.de>

Contains the list of known-bad OpenSSL keys for openssl-vulnkey to use when
 examining suspect keys.

The Ubuntu openssl maintainers released a openssl-blacklist equivalent
to the openssh-blacklist package. It includes a blacklist with
compromised openssl key hashes and a program with a openssl-vulnkey
program suitable to test your openssl key files.

I think it would be a good think to coordinate the work between debian
and ubuntu and to incorporate this package into debian main.

* Package name    : openssl-blacklist
  Version         : 0.1
  Upstream Author : Jamie Strandboge <jamie@ubuntu.com>
* URL             : https://launchpad.net/ubuntu/+source/openssl-blacklist/
* License         : (GPL.)
  Programming Lang: (Python)
  Description     : list of blacklisted OpenSSL RSA keys

(Include the long description here.)

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (900, 'stable'), (70, 'testing'), (50, 'unstable')
Architecture: i386 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.22-4-amd64
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

Reply to: